<template>
  <div class="max-w-full flex-wrap space-y-3">
    <span
        v-for="(tag, index) in tags"
        class="h-[24px] inline-flex items-center rounded-full px-3 py-0.5 text-sm font-medium"
        :class="{'mr-2': index < tags.length-1, 'bg-purple-100 text-purple-800': type === 'primary','bg-green-100 text-green-800': type === 'secondary', }">
      {{tag}}
    </span>
  </div>
</template>

<script>
export default {
  props:{
    tags: {
      type: Array,
      default: []
    },
    type:{
      type: String,
      default: 'primary'
    }
  }
}
</script>